com.verisign.epp.codec.registry.v02

## Class EPPRegistryInfoResp

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPResponse
  - - com.verisign.epp.codec.registry.v02.EPPRegistryInfoResp

- All Implemented Interfaces:
    EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

      public class EPPRegistryInfoResp
      extends EPPResponse

  Represents an EPP Registry <registry:infData> response to an `EPPRegistryInfoCmd`. When an <info> command has been processed successfully, the EPP <resData> element MUST contain a child <registry:infData> element that identifies the registry namespace and the location of the registry schema.
  If the corresponding registry create command contains <registry:all> element, The <registry:infData> element must contain the following child elements:
  - A <registry:zoneList> element that contains the list of supported zones by the server with a set of summary attributes per zone. Each set of summary attributes are enclosed in the <registry:zone> element.
  If the corresponding registry create command contains <registry:name> element, The <registry:infData> element must contain the following child elements:
  - A <registry:zone> element that contains the detail info of a zone object.
  See Also:
    `EPPRegistryInfoCmd`, `EPPRegistryZoneList`, `EPPRegistryZoneSummary`, `EPPRegistryZoneData`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPRegistryInfoResp`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPRegistryInfoResp`.

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPResponse

      `extensions, TRANSFER_CLIENT_APPROVED, TRANSFER_CLIENT_CANCELLED, TRANSFER_CLIENT_REJECTED, TRANSFER_PENDING, TRANSFER_SERVER_APPROVED, TRANSFER_SERVER_CANCELLED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryInfoResp()` `EPPRegistryInfoResp` default constructor.
    `EPPRegistryInfoResp(EPPTransId aTransId, EPPRegistrySystemInfo aSystemInfo)` Create a `EPPRegistryInfoResp` instance with system detailed information.
    `EPPRegistryInfoResp(EPPTransId aTransId, EPPRegistryZoneData aZoneInfo)` Create a `EPPRegistryInfoResp` instance with zone detailed information.
    `EPPRegistryInfoResp(EPPTransId aTransId, EPPRegistryZoneList aZoneList)` Create a `EPPRegistryInfoResp` instance with a set of zone summary attributes.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPRegistryInfoResp`.
    `protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPRegistryInfoResp` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPRegistryInfoResp` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPRegistryInfoResp` with this instance.
    `java.lang.String` | `getNamespace()` Gets the EPP command namespace associated with `EPPRegistryInfoResp` .
    `EPPRegistrySystemInfo` | `getSystemInfo()` Gets the system information.
    `java.lang.String` | `getType()` Gets the EPP response type associated with `EPPRegistryInfoResp`.
    `EPPRegistryZoneData` | `getZoneInfo()` Gets the zone information.
    `EPPRegistryZoneList` | `getZoneList()` Gets the zone list.
    `boolean` | `hasSystemInfo()` Is the system info set?
    `boolean` | `hasZoneInfo()` Is the zone info set?
    `boolean` | `hasZoneList()` Is the zone list set?
    `void` | `setSystemInfo(EPPRegistrySystemInfo aSystemInfo)` Sets the system information.
    `void` | `setZoneInfo(EPPRegistryZoneData aZoneInfo)` Sets the zone information.
    `void` | `setZoneList(EPPRegistryZoneList aZoneList)` Sets the zone list.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPResponse

      `addExtension, decode, encode, getExtension, getExtension, getExtensions, getMessageQueue, getMsgQueue, getMsgQueueCount, getMsgQueueDate, getMsgQueueMsg, getQDate, getResult, getResults, getTransId, hasExtension, hasExtensions, hasMessageQueue, hasMsgQueue, hasResultCode, isSuccess, setExtension, setExtensions, setMsgQueue, setResult, setResult, setResult, setResult, setResults, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPRegistryInfoResp`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPRegistryInfoResp`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRegistryInfoResp

          public EPPRegistryInfoResp()

      `EPPRegistryInfoResp` default constructor. Must call either `setZoneList`, `setZoneInfo`, or `setSystemInfo` setter methods before invoking `encode`.

    - #### EPPRegistryInfoResp

          public EPPRegistryInfoResp(EPPTransId aTransId,
                                     EPPRegistryZoneList aZoneList)

      Create a `EPPRegistryInfoResp` instance with a set of zone summary attributes.
      Parameters:
        `aTransId` - transaction Id associated with response
        `aZoneList` - object containing a list of zone summary attributes

    - #### EPPRegistryInfoResp

          public EPPRegistryInfoResp(EPPTransId aTransId,
                                     EPPRegistryZoneData aZoneInfo)

      Create a `EPPRegistryInfoResp` instance with zone detailed information.
      Parameters:
        `aTransId` - transaction Id associated with response
        `aZoneInfo` - object containing detailed zone info

    - #### EPPRegistryInfoResp

          public EPPRegistryInfoResp(EPPTransId aTransId,
                                     EPPRegistrySystemInfo aSystemInfo)

      Create a `EPPRegistryInfoResp` instance with system detailed information.
      Parameters:
        `aTransId` - transaction Id associated with response
        `aSystemInfo` - object containing detailed system info

  - ### Method Detail

    - #### doEncode

          protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPRegistryInfoResp` instance.
      Overrides:
        `doEncode` in class `EPPResponse`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPRegistryInfoResp` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPRegistryInfoResp` instance.

    - #### doDecode

          protected void doDecode(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPRegistryInfoResp` attributes from the aElement DOM Element tree.
      Overrides:
        `doDecode` in class `EPPResponse`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPRegistryInfoResp` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPRegistryInfoResp`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPResponse`
      Returns:
        clone of `EPPRegistryInfoResp`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### getType

          public java.lang.String getType()

      Gets the EPP response type associated with `EPPRegistryInfoResp`.
      Overrides:
        `getType` in class `EPPResponse`
      Returns:
        `EPPRegistryInfoResp.ELM_NAME`

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command namespace associated with `EPPRegistryInfoResp` .
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Overrides:
        `getNamespace` in class `EPPResponse`
      Returns:
        `EPPRegistryMapFactory.NS`

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPRegistryInfoResp` with this instance.
      Overrides:
        `equals` in class `EPPResponse`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPResponse`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### hasZoneList

          public boolean hasZoneList()

      Is the zone list set?
      Returns:
        `true` if the zone list is defined; `false` otherwise.

    - #### getZoneList

          public EPPRegistryZoneList getZoneList()

      Gets the zone list.
      Returns:
        The zone list if defined: `null` otherwise.

    - #### setZoneList

          public void setZoneList(EPPRegistryZoneList aZoneList)

      Sets the zone list.
      Parameters:
        `aZoneList` - Zone list. Set to `null` if undefined.

    - #### hasZoneInfo

          public boolean hasZoneInfo()

      Is the zone info set?
      Returns:
        `true` if the zone info is defined; `false` otherwise.

    - #### getZoneInfo

          public EPPRegistryZoneData getZoneInfo()

      Gets the zone information.
      Returns:
        The detailed zone information if defined; `null` otherwise.

    - #### setZoneInfo

          public void setZoneInfo(EPPRegistryZoneData aZoneInfo)

      Sets the zone information.
      Parameters:
        `aZoneInfo` - The detailed system information. Set to `null` if undefined.

    - #### hasSystemInfo

          public boolean hasSystemInfo()

      Is the system info set?
      Returns:
        `true` if the system info is defined; `false` otherwise.

    - #### getSystemInfo

          public EPPRegistrySystemInfo getSystemInfo()

      Gets the system information.
      Returns:
        The detailed system information if defined; `null` otherwise.

    - #### setSystemInfo

          public void setSystemInfo(EPPRegistrySystemInfo aSystemInfo)

      Sets the system information.
      Parameters:
        `aSystemInfo` - The detailed system information. Set to `null` if undefined.

Copyright © VeriSign Inc. All Rights Reserved.